//-------------------------------- numxlib.h --------------------------------
// Library of numerical methods for C/C++
// Author: Titus Beu, 2013
//---------------------------------------------------------------------------
#ifndef _NUMXLIB_
#define _NUMXLIB_

#include "memalloc.h"                         // dynamic allocation of arrays

#include "sort.h"                                     // sorting and indexing

#include "specfunc.h"                                    // special functions

#include "roots.h"                                      // roots of equations

#include "linsys.h"                            // systems of linear equations

#include "eigsys.h"                                    // eigenvalue problems

#include "modfunc.h"                       // modeling of tabulated functions

#include "integral.h"                             // integration of functions

#include "random.h"                           // generation of random numbers

#include "ode.h"                           // ordinary differential equations

#include "pde.h"                            // partial differential equations

#include "utils.h"                                       // utility functions

#endif
